diff --git a/src/tic.c b/src/tic.c
index 3749905e2..e54bedb68 100644
--- a/src/tic.c
+++ b/src/tic.c
@@ -1840,7 +1840,7 @@ static void api_load(tic_cartridge* cart, const u8* buffer, s32 size, bool palet
 	const u8* end = buffer + size;
 	memset(cart, 0, sizeof(tic_cartridge));
 
-	if(palette)
+	if(!palette)
 	{
 		static const u8 DB16[] = {0x14, 0x0c, 0x1c, 0x44, 0x24, 0x34, 0x30, 0x34, 0x6d, 0x4e, 0x4a, 0x4e, 0x85, 0x4c, 0x30, 0x34, 0x65, 0x24, 0xd0, 0x46, 0x48, 0x75, 0x71, 0x61, 0x59, 0x7d, 0xce, 0xd2, 0x7d, 0x2c, 0x85, 0x95, 0xa1, 0x6d, 0xaa, 0x2c, 0xd2, 0xaa, 0x99, 0x6d, 0xc2, 0xca, 0xda, 0xd4, 0x5e, 0xde, 0xee, 0xd6};
 
